import React, { useState, useEffect } from 'react';
import { Pressable, Text, View, Alert, Modal, StyleSheet, Button } from 'react-native';
import * as WebBrowser from 'expo-web-browser';
import * as GoogleSingIn from 'expo-auth-session/providers/google';
import * as Facebook from 'expo-auth-session/providers/facebook';
import { ResponseType } from 'expo-auth-session';
WebBrowser.maybeCompleteAuthSession();
export default function Index(props) {
  // GOOGLE
  const [googleRequest, googleResponse, googlePromptAsync] = GoogleSingIn.useAuthRequest({
    expoClientId: '823806881706-a579uqv1s6va2k1v8hhg0b7fu5rg3k51.apps.googleusercontent.com'
  }); // FACEBOOK

  const [fbRequest, fbResponse, fbPromptAsync] = Facebook.useAuthRequest({
    clientId: '1601048560232636',
    responseType: ResponseType.Code
  });
  const [modalVisible, setModalVisible] = useState(false);
  const [token, settoken] = useState('');
  useEffect(() => {
    // settoken(googleRequest.url);
    if ((googleResponse === null || googleResponse === void 0 ? void 0 : googleResponse.type) === 'success') {
      console.log('oauth completed successfully');
      console.log(googleResponse); // settoken(googleResponse?.url);
    }

    if ((fbResponse === null || fbResponse === void 0 ? void 0 : fbResponse.type) === 'success') {
      console.log('oauth completed successfully');
      console.log(fbResponse);
    }
  }, [googleResponse, fbResponse]);
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Modal, {
    animationType: "slide",
    transparent: true,
    visible: modalVisible,
    onRequestClose: () => {
      Alert.alert('Modal has been closed.');
      setModalVisible(!modalVisible);
      console.log('hi');
    }
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(View, {
    style: styles.modalView
  }, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => setModalVisible(!modalVisible)
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.exit
  }, "x")), /*#__PURE__*/React.createElement(Text, {
    style: styles.modalText
  }, "Piblic:", props.publicKey), /*#__PURE__*/React.createElement(Text, {
    style: styles.modalText
  }, "clientSecret:", props.clientSecret), /*#__PURE__*/React.createElement(Text, {
    style: styles.modalText
  }, "clientSecret:", props.clientSecret), /*#__PURE__*/React.createElement(Button, {
    disabled: !googleRequest,
    title: "Signin with googlee",
    onPress: () => {
      googlePromptAsync();
      console.log('hi');
    }
  }), /*#__PURE__*/React.createElement(Button, {
    disabled: !fbRequest,
    title: "Signin with facebook",
    onPress: () => {
      fbPromptAsync();
    }
  })))), /*#__PURE__*/React.createElement(Pressable, {
    style: styles.button,
    onPress: () => setModalVisible(true)
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, "Checkout with xx")));
}
const styles = StyleSheet.create({
  button: {
    alignItems: 'center',
    justifyContent: 'center',
    paddingVertical: 12,
    paddingHorizontal: 82,
    margin: 40,
    borderRadius: 5,
    backgroundColor: '#0180FD'
  },
  text: {
    fontSize: 16,
    lineHeight: 21,
    letterSpacing: 0.25,
    color: 'white'
  },
  modalView: {
    height: '100%',
    backgroundColor: 'white',
    padding: 32,
    shadowColor: '#000'
  },
  exit: {
    color: 'grey',
    fontSize: 31,
    textAlign: 'right'
  },
  modalText: {
    marginBottom: 15,
    textAlign: 'center'
  }
});
//# sourceMappingURL=index.js.map